# Retrieve a metafield definition validation type

> Retrieve a single validation type.
{/* generated:versioned-pages - edit _pm-authored, not this file */}

`GET /api/metafield_definition_validation_types/{id}`

Retrieves a MetafieldDefinitionValidationType resource.

Returns a single metafield definition validation type by id.

## Path parameters

| Name | Type     | Required | Description                                  |
| ---- | -------- | -------- | -------------------------------------------- |
| `id` | `string` | Yes      | MetafieldDefinitionValidationType identifier |

## Response

**200** - MetafieldDefinitionValidationType resource

| Property      | Type     | Required | Description                                          |
| ------------- | -------- | -------- | ---------------------------------------------------- |
| `@context`    | `object` | -        |                                                      |
| `@id`         | `string` | Yes      |                                                      |
| `@type`       | `string` | Yes      |                                                      |
| `id`          | `string` | -        | The validation type identifier (e.g. `max_length`).  |
| `description` | `string` | -        | A human-readable description of the validation type. |

## Errors

**404** - Not found

| Property      | Type              | Required | Description                                                                                                                          |
| ------------- | ----------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| `@context`    | `object`          | -        |                                                                                                                                      |
| `@id`         | `string`          | Yes      |                                                                                                                                      |
| `@type`       | `string`          | Yes      |                                                                                                                                      |
| `title`       | `string \| null`  | -        | A short, human-readable summary of the problem.                                                                                      |
| `detail`      | `string \| null`  | -        | A human-readable explanation specific to this occurrence of the problem.                                                             |
| `status`      | `integer \| null` | -        |                                                                                                                                      |
| `instance`    | `string \| null`  | -        | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
| `type`        | `string`          | -        | A URI reference that identifies the problem type                                                                                     |
| `description` | `string \| null`  | -        |                                                                                                                                      |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/api/metafield_definition_validation_types/<product_id>' \
  -H 'Authorization: Bearer {access_token}' \
  -H 'Flowkiwi-Api-Version: 2026-07' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "@context": "/api/contexts/MetafieldDefinitionValidationType",
  "@id": "/api/metafield_definition_validation_types/max_length",
  "@type": "https://schema.org/Enumeration",
  "id": "max_length",
  "description": "Maximum character length for text fields"
}
```
